### Method

# Gio SimpleAsyncResult propagate_error

deprecated: 2.46

#### Declaration [src]

    gboolean
    g_simple_async_result_propagate_error (
      GSimpleAsyncResult* simple
      GError** error
    )

#### Description [src]

Propagates an error from within the simple asynchronous result to a given destination.

If the `GCancellable` given to a prior call to `g_simple_async_result_set_check_cancellable()` is cancelled then this function will return `TRUE` with `dest` set appropriately.

Deprecated since: 2.46

Use `GTask` instead.

#### Return value

Type: `gboolean`

`TRUE` if the error was propagated to `dest`. `FALSE` otherwise.